%ring
% Plots the magnetic field strength (and direction) of a current loop
%
% LAST UPDATED by Andy French September 2016

function ring

%Number of current elements
M = 100;

%Ring radius /m
L = 0.1;

%Compute coordinates of current elements
t=linspace(0,2*pi,M);
xI = L*cos(t);
zI = L*sin(t);
yI = zeros(1,M);

%Define current /square metre ('current density') at current element
%locations

%1 amp curent
I = 1;  

%Uniform current per unit area (units don't matter, only direction)
Jx = -sin(t);
Jz = cos(t);
Jy = zeros(1,M);

%Define limits for plot
xlimits = 2*L*[-1,1];
ylimits = 2*L*[-1,1];
zlimits = 2*L*[-1,1];
plot_title = 'Ring';

%Compute magnetic field
[Bx,By,Bz,x,y,z] = mfield( xI, yI,zI, Jx, Jy, Jz, I, xlimits, ylimits, zlimits, plot_title );

%End of code